Workflow permissions are broken if user has multiple roles in project

2013-03-21 14:51 - Alexander Kriventsov

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Description

If user has multiple roles in project workflow permissions don't work.

It works in two cases:

1. User has one role

2. User has two roles with the same workflow permisions

History

#1 - 2013-03-21 17:57 - Daniel Felix

- Category set to Issues workflow

- Status changed from New to Needs feedback

Please describe, what you mean with "don't work".

Can you give some testcase? This would help us to test what your talking about. :-)

#2 - 2013-03-22 14:56 - Alexander Kriventsov

- File r1.png added

- File r2.png added

- File members.png added

- File good.png added

- File members2.png added

- File bad.png added

I will try, but my English is not so good...

I have two roles R1 and R2.

I have for R1 and tracker "Bug" start date is requiered for state "New".

When I apply for user "test" role R1 everything are working.

But when I add for user "test role R2 in the same project permissions are not working.

Please take a look in attachments.

#3 - 2013-03-25 22:42 - Dipan Mehta

I figured by try an error what would be the ultimate behavior of the particular field when multiple roles are at play:

1. Required: the field will be FORCED to be required only if ALL ROLES requires it.

2. Read-only: the field will be FORCED to be read only if ALL ROLES makes it read-only.

If the field id NOT REQUIRED for any role - (e.g. as reporter role don't have to fill target-version) it will not force you to be REQUIRED.

If the field is NOT READ_ONLY for any role - (e.g. as a manager role I can see the 'Resolution' and update it) it will not force you to be READ_ONLY.

So in general multiple roles makes it 'more permissive'.
